Subject: Re: bug#24782: 26.0.50; Crash on browse-url

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Oct 2016 19:52:15 +0300

> Date: Tue, 25 Oct 2016 12:29:31 +0300
> From: Jean Louis <[email-masked]>
> Cc: Jean Louis <[email-masked]>, [email-masked]
> 
> I can repeat it each time. Version of Emacs is 26.0.50.4, since
> yesterday basically.
> 
> I was writing many emails by using mutt, and emacs as editor, with the
> hook to toggle message mode, it was helping me format the text, the
> quoted text and such. I used it only for editing, not for sending
> email, as it was done by mutt.
> 
> Then I have noticed a change, why and how, I cannot find out.
> 
> Here is how I am reproducing it on my side.
> 
> I open emacs -Q:
> 
> 1) C-x b to switch to scrach buffer.
> 2) M-x message-mode
> 3) I go to end of first line, and do C-d to join it with the next one
> 4) M-q to format paragraph and I get this below:
> 
> This buffer is for text that is not saved, and for Lisp evaluation. To
> 	create a file, visit it with C-x C-f and enter text in its buffer.
> 
> ^^^^^^^^ <-- here above is the TAB basically, not space
> 
> 5) M-x mail-mode, if I do same M-q formatting in mail-mode, it is not
> happening. I have added hook to use mail-mode instead of
> message-mode. But message-mode is behaving wrong.
> 
> And sometimes I must admit, I could see it behaving correctly. But not
> in my email writings, rather in emacs own bug report sending.

The above is a far cry from a crash.  In your original report, you
said Emacs crashed:

> When I start emacs with -Q and without init files, if I wish to browse
> the web, I enter duckduckgo.com as the URL, and I start searching. The
> eww and emacs crash at that time.
          ^^^^^^^^^^^^^^^^^^^^^^^^

If those crashes are reproducible, can you show a complete recipe that
I could try here?

Thanks.